"""A setuptools based setup module.

"""

from setuptools import setup, find_packages

# For consistent encoding
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='sampledm',
    version='0.1.0',
    description='Learning Python packaging',
    long_description=long_description,
    url='http://larics.rasip.fer.hr/damjan',
    author='Damjan',
    author_email='damjan.miklic@fer.hr',
    license='MIT',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
    ],
    keywords='test',
    packages=find_packages(exclude=['contrib','docs','tests']),
    install_requires=['peppercorn'],
    extras_require={
        'dev':['check-manifest'],
        'test':['coverage'],
        },
    package_data={
        'sampledm':['package_data.dat']
    },
    data_files=[('my_data',['data/data_file'])],
    entry_points={
        'console_scripts': [
            'sample=sample:main',
            ],
        },
)
